package es.verdnatura.presentation.view.feature.articulo.model

class ItemCardVO(
    var id: Int = 0,
    var longName: String? = null,
    var value5: String? = null,
    var value6: String? = null,
    var value7: String? = null,
    var image: String? = null,
    var size: Int? = null,
    var stems: String?,
    var itemCost: String?,
    var category:String? = null,
    var producer: String? = null,
    var origin: String? = null,
    //var nicho: Int? = null,
    var reserva: Int? = null,
    var enNicho: Int? = null,
    var available: Int? = null,
    //var enAltillo: Int?  = null,
    var repo: Int? = null,
    //var total: Int? = null,
    var min: Int? = null,
    var grouping: Int? = null,
    var packing: Int? = null,
    var barcodes: List<BarcodeVO> = listOf(),
    var tag5: String? = null,
    var tag6: String? = null,
    var tag7: String? = null,
    var isError: Boolean = false,
    var errorMessage: String = "",
    var urlImage200: String? = null,
    var urlImage: String? = null,
    var itemPackingTypeFk: String? = null,
    var reference: String? = null,
    var buyer: String? = null,
    //sergio para modificar la llamada de itemCard a item_getInfo
    var vVisibleItemShelving: Int? = null, // = enAltillo
    var visible: Int? = null,// = total
    var unlocated: Int? = null //= enNicho

)

class ItemCardRowVO(
    var title: String? = "",
    var value: String? = "",
    var isEditable: Boolean = true,
    var action: String = "",
    var barcodes: List<BarcodeVO> = listOf()
)

class BarcodeVO(
    var code: String?
)





